# encoding: utf-8
module Holidays
  # This file is generated by the Ruby Holidays gem.
  #
  # Definitions loaded: data/fedex.yaml
  #
  # To use the definitions in this file, load it right after you load the
  # Holiday gem:
  #
  #   require 'holidays'
  #   require 'holidays/fed_ex'
  #
  # All the definitions are available at https://github.com/alexdunae/holidays
  module FED_EX # :nodoc:
    def self.defined_regions
      [:fedex]
    end

    def self.holidays_by_month
      {
              1 => [{:mday => 1, :observed => lambda { |date| Holidays.to_weekday_if_weekend(date) }, :observed_id => "to_weekday_if_weekend", :name => "New Year's Day", :regions => [:fedex]}],
      5 => [{:wday => 1, :week => -1, :name => "Memorial Day", :regions => [:fedex]}],
      7 => [{:mday => 4, :observed => lambda { |date| Holidays.to_weekday_if_weekend(date) }, :observed_id => "to_weekday_if_weekend", :name => "Independence Day", :regions => [:fedex]}],
      9 => [{:wday => 1, :week => 1, :name => "Labor Day", :regions => [:fedex]}],
      11 => [{:wday => 4, :week => 4, :name => "Thanksgiving", :regions => [:fedex]},
            {:wday => 5, :week => 4, :name => "Day After Thanksgiving", :regions => [:fedex]}],
      12 => [{:mday => 25, :observed => lambda { |date| Holidays.to_weekday_if_weekend(date) }, :observed_id => "to_weekday_if_weekend", :name => "Christmas Day", :regions => [:fedex]},
            {:mday => 31, :name => "New Year's Eve", :regions => [:fedex]}]
      }
    end
  end


end

Holidays.merge_defs(Holidays::FED_EX.defined_regions, Holidays::FED_EX.holidays_by_month)
